Create List Entry

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.
directionenumRequired
Direction of list entry.
Allowed values:
typeenumRequired
Type of list entry.
Allowed values:

Request

This endpoint expects an object.
entrystringRequired
Email address or domain to add.
reasonstringOptional
Reason for adding the entry.

Response

This endpoint returns an object.
created_atdatetime
Time at which entry was created.
directionenum
Direction of list entry.
Allowed values:
entrystring
Email address or domain of list entry.
entry_typeenum
Whether the entry is an email address or domain.
Allowed values:
list_typeenum
Type of list entry.
Allowed values:
organization_idstring
ID of organization.
pod_idstring
ID of pod.
inbox_idstring or null

ID of inbox, if entry is inbox-scoped.

reasonstring or null
Reason for adding the entry.

Errors